Bug 163572

Summary: [periodic] not full output in daily run output is ambigious
Product: Base System Reporter: kes-kes
Component: confAssignee: freebsd-bugs (Nobody) <bugs>
Status: Open ---    
Severity: Affects Only Me CC: freebsd
Priority: Normal    
Version: 9.0-PRERELEASE   
Hardware: Any   
OS: Any   

Description kes-kes 2011-12-23 19:00:25 UTC
Network interface status:

ng398  1500 <Link#405>                             0     0     0        0     0     0
vlan4  1500 <Link#406>    f4:6d:04:7c:7b:d3 59047318     0     0 58831144  5521     0
vlan4  1500 10.11.19.144/ 10.11.19.148      59014984     -     - 58836636     -     -

it is not clear: that is vlan4 vlan41 vlan42 vlan412 is.

How-To-Repeat: get daily mail and see 'Network interface status:' section in mail
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:11 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 2 Robert Wing freebsd_committer 2020-08-12 20:39:04 UTC
*** Bug 214345 has been marked as a duplicate of this bug. ***
Comment 3 Robert Wing freebsd_committer 2020-08-12 20:50:46 UTC
(In reply to kes-kes from comment #0)

Hey kes-kes,

I'll copy my comment from the duplicate bug to here:

The periodic script that reports interface status information proxies to netstat(1).

You can customize the output by setting the variable `daily_status_network_netstat_flags` in /etc/periodic.conf. This variable is documented in the man page for periodic.conf(5)

By default, netstat(1) truncates interface names, so you'd want to put the following in /etc/periodic.conf to prevent netstat from truncating the names:

daily_status_network_netstat_flags='-W'

Perhaps this should be the default behavior.

There's patch on phabricator: https://reviews.freebsd.org/D26023
Comment 4 commit-hook freebsd_committer 2020-09-09 19:08:33 UTC
A commit references this bug:

Author: rew
Date: Wed Sep  9 19:07:35 UTC 2020
New revision: 365508
URL: https://svnweb.freebsd.org/changeset/base/365508

Log:
  periodic.conf(5): don't truncate interface names reported by 420.status-network.

  The daily periodic script, 420.status-network uses netstat(1) to report
  interface status. By default, netstat(1) truncates interface names.

  Add the '-W' flag (avoid truncating interface names) as the default for
  'daily_status_network_netstat_flags' in periodic.conf(5).

  The default 420.status-network command is now 'netstat -i -d -W -n'.

  PR:     163572
  Reported by: kes-kes@yandex.ru
  Reviewed by: allanjude (mentor) bcr (manpages)
  Approved by: allanjude (mentor)
  MFC after:  1 week
  Differential Revision:  https://reviews.freebsd.org/D26023

Changes:
  head/share/man/man5/periodic.conf.5
  head/usr.sbin/periodic/periodic.conf
Comment 5 commit-hook freebsd_committer 2020-12-10 10:01:39 UTC
A commit references this bug:

Author: gbe
Date: Thu Dec 10 10:00:44 UTC 2020
New revision: 368509
URL: https://svnweb.freebsd.org/changeset/base/368509

Log:
  MFC r365508 (by rew):

  periodic.conf(5): don't truncate interface names reported by 420.status-network.

  The daily periodic script, 420.status-network uses netstat(1) to report
  interface status. By default, netstat(1) truncates interface names.

  Add the '-W' flag (avoid truncating interface names) as the default for
  'daily_status_network_netstat_flags' in periodic.conf(5).

  The default 420.status-network command is now 'netstat -i -d -W -n'.

  PR:		163572
  Reported by:	kes-kes@yandex.ru
  Reviewed by:	allanjude (mentor), bcr (manpages)
  Approved by:	allanjude (mentor)
  Differential Revision:	https://reviews.freebsd.org/D26023

Changes:
_U  stable/12/
  stable/12/share/man/man5/periodic.conf.5
  stable/12/usr.sbin/periodic/periodic.conf